<?php
return [
    'settings' => [
        'displayErrorDetails' => true, // set to false in production
        'addContentLengthHeader' => false, // Allow the web server to send the content-length header
        'debug' => true,
        
        // Renderer settings
        'renderer' => [
            'template_path' => __DIR__ . '/../templates/',
            //'cache_path' => __DIR__.'/../templates/.cache/',
            'cache_path' => false,
            'autoreload' => true,
            'debug' => true
        ],

        // Monolog settings
        'logger' => [
            'name' => 'slim-app',
            'path' => isset($_ENV['docker']) ? 'php://stdout' : __DIR__ . '/../logs/app.log',
            'level' => \Monolog\Logger::DEBUG,
        ],
        'db' => [
            'path' => __DIR__."/../db/ggdworkshop.db"
        ],
    ],
];
